Subject: Re: SUA 08

From: Michael Tuexen <[email-masked]>
Date: Mon, 5 Nov 2001 18:07:43 +0100

Dear all,
see my comments below.
Best regards
Michael
On Monday, November 5, 2001, at 01:41  Uhr, Verwimp Gery wrote:

> Hi Michael,
>
> See below.
>
>
> -----Original Message-----
> From: Michael Tuexen [mailto:[email-masked]]
> Sent: zondag 4 november 2001 16:11
> To: sigtran
> Cc: [email-masked]
> Subject: SUA 08
>
>
> Dear John, Dear all,
>
> I just wrote a SUA dissector module based on version 8 of the ID.
>
> I found some typos (hopefully these are only typos) / have some
> questions:
>
> - 3.10.2.3: Does the length field include filler?
>
> [GV] : Nope, filler bits required to get a multiple of 4 bytes. The 
> length
> field includes the number of bytes starting from "Tag = 0x8001" up to 
> and
> including the last byte that contains (a) valid digit(s). The
> number_of_digits (odd or even) determines whether the low nibble of the
> final byte is filler or a valid zero-digit.
>
Could you include this clarification in the text?
>
> - 3.10.2.4: Reference to 3.2.5 wrong.
>
> [GV] : Should be 3.9.18.
>
> - 3.10.2.7: Why are you mentioning SCTP?
>
> [GV] : Should be "of this document".
>
> - 3.10.10: Credit is a 32 but uint (I think) but the text says "one
> octet".

> [GV] : Credit is a one octet-field. The lower 3 bytes should be coded 
> zero.
>
So, there will be a three byte reserved field on the left and sid of the 
credit field?
> - 3.10.11: Should this be deleted?
>
> [GV] : I've assumed 3.10.22 is going to be deleted. Otherwise there's a 
> tag
> error here (0x0116 instead of 0x010e) ? John, which is it ??
>
Clarification would be good, I could update the dissector
> - 3.10.12: Why is the length 32 and not 8?
> - 3.10.13: Why is the length 32 and not 8?
>
> [GV] : Typo's. Should all be length = 8.
>
> - 3.10.15: Why is the tag 010d and not 010f?, Why is length not shown as
> Length=16?
>
> [GV] : Also typo I presume. 0x010f looks ok; 0x010d conflicts with 
> network
> appearance. Length = 16.
>
> - 3.10.16: Why is the length not shown as Length = 12?
>
> [GV] : Yip. Length = 12.
>
> - 3.10.22: Why is the Tag 010e and not 0116? Why is Sequence Control not
> 32 bit long?
>
> [GV] : All bits can be used, no limitation here I think.
>
> - 3.10.23: Why is the length 32 and not 8?
>
> [GV] : Another typo. 32 bits for the field, but 8 bytes the total 
> length.
>
> Best regards,
> Gery
>
How is the bakeoff going?

Best regards
Michael
>
> ---
> You are currently subscribed to sigtran as: 
> [email-masked]
> To unsubscribe send a blank email to leave-
> [email-masked]
>
[email-masked]

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]